petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscObjectDereference

Indicates to any PetscObject that it is being referenced by one less PetscObject. This decreases the reference count for that object by one.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectDereference(PetscObject obj)

Collective on PetscObject if reference reaches 0 otherwise Logically Collective Many br

### Input Parameter

obj -the PETSc object; this must be cast with (PetscObject), for example, Many brPetscObjectDereference((PetscObject)mat); Many br

Notes: PetscObjectDestroy(PetscObject *obj) sets the obj pointer to null after the call, this routine does not. Many br

Many br

### See Also

PetscObjectCompose(), PetscObjectReference()

Level:advanced
Location:src/sys/objects/inherit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages